/*ident	"@(#)cls4:incl-master/proto-headers/sys/mkdev.h	1.1" */
#usedby svr4

/*******************************************************************************
 
C++ source for the C++ Language System, Release 3.0.  This product
is a new release of the original cfront developed in the computer
science research center of AT&T Bell Laboratories.

Copyright (c) 1991 AT&T and UNIX System Laboratories, Inc.
Copyright (c) 1984, 1989, 1990 AT&T.  All Rights Reserved.

THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE of AT&T and UNIX System
Laboratories, Inc.  The copyright notice above does not evidence
any actual or intended publication of such source code.

*******************************************************************************/
#ifndef __SYS_MKDEV_H
#define __SYS_MKDEV_H

#hide __makedev
#hide __major
#hide __minor

#expand sys/mkdev.h

extern "C" {
	dev_t makedev(const major_t, const minor_t);
	major_t major(const dev_t);
	minor_t minor(const dev_t);
	dev_t __makedev(const int, const major_t, const minor_t);
	major_t __major(const int, const dev_t);
	minor_t __minor(const int, const dev_t);
}

#endif
